% СПМ
DL=0;
DL=length(y1); %Определение длины вектора у1
P=N_fft/2;
M=round(DL/P)-1; % вычисление одной размерности матрицы

% размерность матрицы М * Р

maxnor=max(y1) % максимальное значение  спектра матрицы
for n=1:M
        for k=1:P
       S1(n,k)=(y1(k+(n-1)*P))^2; % запись вектора в матрицу
    end;
end;
n=1:M;  k=1:P; 
%subplot(2,2,1)
meshz(S1); % построение графика
xlabel('k');
ylabel('n');
title('power spectral density');
grid on;
clear S1 M